org.apache.ignite.internal.processors.rest.client.message

## Class GridClientClusterStateRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientClusterStateRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

Direct Known Subclasses:
  GridClientClusterStateRequestV2

Deprecated.
Use `GridClientClusterStateRequestV2`

    @Deprecated
    public class GridClientClusterStateRequest
    extends GridClientAbstractMessage

See Also:
  Serialized Form

### Field Summary

Fields
`protected ClusterState` `state` Deprecated. New cluster state.

### Constructor Summary

Constructors
Constructor and Description
`GridClientClusterStateRequest()` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static GridClientClusterStateRequest` `currentState()` Deprecated.
`boolean` `isReqCurrentState()` Deprecated.
`void` `readExternal(ObjectInput in)` Deprecated.
`ClusterState` `state()` Deprecated.
`static GridClientClusterStateRequest` `state(ClusterState state)` Deprecated.
`void` `writeExternal(ObjectOutput out)` Deprecated.

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### state

    protected ClusterState state

Deprecated.
New cluster state.

### Constructor Detail

#### GridClientClusterStateRequest

    public GridClientClusterStateRequest()

Deprecated.

### Method Detail

#### isReqCurrentState

    public boolean isReqCurrentState()

Deprecated.

#### state

    public ClusterState state()

Deprecated.

#### currentState

    public static GridClientClusterStateRequest currentState()

Deprecated.

Returns:
  Current read-only mode request.

#### state

    public static GridClientClusterStateRequest state(ClusterState state)

Deprecated.

Parameters:
  `state` - New cluster state.
Returns:
  Cluster state change request.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Deprecated.

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Deprecated.

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023